<template>
  <div>
    <div
      id="mountains"
      :style="'background-image:url(\''+$t('urlImage')+'\');'"
    />
    <v-footer
      height="auto"
      padless
      color="tertiary"
    >
      <v-row
        class="pt-4"
      > 
        <!-- stores -->
        <v-col
          cols="2"
          class="d-flex align-content-end flex-wrap mb-2 d-flex child-flex"
        >
          <a
            :href="$t('appStore.link')"
            target="_blank"
          >
            <v-img
              :src="$t('appStore.image')"
              :height="45"
              :width="imageWidth"
              contain
            />     
          </a>
          <a
            :href="$t('googlePlay.link')"
            target="_blank"
          >
            <v-img
              class="mt-2"
              :src="$t('googlePlay.image')"
              :height="45"
              :width="imageWidth"
              contain
            />
          </a>
        </v-col>
        <!-- end stores -->

        <v-col
          cols="8"
        >
          <v-row class="mb-4">
            <v-img
              :src="$t('logoFeder')"
              :height="imageHeight"
              :width="imageWidth"
              contain
            />
          </v-row>
          <v-row
            justify="center"
            class="white--text my-2 d-flex align-lg-content-end align-lg-content-center flex-wrap"
          >
            <span
              v-for="(link, index) in $t('links')"
              :key="index"
            >
              <a
                class="white--text"
                :href="link.url"
              >{{ link.name }}</a><span v-if="index < $t('links').length -1">&nbsp;&nbsp;|&nbsp;&nbsp;</span>
            </span>
          </v-row>
          <v-row justify="center">
            <span>
              <a
                class="white--text"
                @click="showCookiesAction()"
              >{{ $t('tools.cookies.title') }}</a>
            </span>
          </v-row>
        </v-col>
        <!-- linkedin -->

        <v-col
          cols="1"
          class="d-flex align-content-end flex-wrap mb-2 px-0"
        >
          <p
            class="white--text text-right caption mb-0 ml-lg-10"
            style="letter-spacing: -0.9px;"
          >
            {{ $t('linkedin.text') }}
          </p>
        </v-col>
        <v-col
          cols="1"
          class="d-flex align-content-end flex-wrap mb-2 px-0"
        >
          <a
            :href="$t('linkedin.link')"
            target="_blank"
          >
            <v-img
              :src="$t('linkedin.image')"
              :height="45"
              :width="imageWidth"
              contain
            />
          </a>
        </v-col>
        <!-- end linkedin -->

        <v-row
          class="success mt-5"
          justify="center"
        >
          <span class="pa-4">
            <a
              class="text--primary"
              :href="$t('mobicoopUrl')"
              :alt="$t('mobicoopUrlAlt')"
            >{{ $t('licence') }}</a>
          </span>
        </v-row>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        :connection-active-check-default="true"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-footer>
  </div>
</template>

<script>
import Package from '@root/package.json'
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies    
  },
  props: {
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      version: Package.version,
      imageHeight: "150px",
      imageWidth: "auto",
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>

<style scoped lang="scss">
  * {
    font-family: Raleway, sans-serif;
  }
  .v-application a {
    text-decoration: none;
    &:hover {
      text-decoration: underline;
    }
  }
  #mountains{
    height:146px;
    background-position:right;
  }
  .container {
    padding-bottom: unset;
  }
</style>